summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2013-02-10 23:19:51 -0800
committerZac Medico <zmedico@gentoo.org>2013-02-10 23:19:51 -0800
commit75690c9a815b7d8526388efda36037736b6143ba (patch)
treed0e7e0d47c22430755439a58ee0287f3160943e3
parentrepoman: fix use.stable, bug #456342 (diff)
downloadportage-75690c9a815b7d8526388efda36037736b6143ba.tar.gz
portage-75690c9a815b7d8526388efda36037736b6143ba.tar.bz2
portage-75690c9a815b7d8526388efda36037736b6143ba.zip
Check lib*/udev/rules.d for bug #455606.
-rwxr-xr-xbin/misc-functions.sh21
1 files changed, 11 insertions, 10 deletions
diff --git a/bin/misc-functions.sh b/bin/misc-functions.sh
index f23545e5b..b2b9e3578 100755
--- a/bin/misc-functions.sh
+++ b/bin/misc-functions.sh
@@ -248,16 +248,17 @@ install_qa_check() {
eqawarn "$f"
fi
- if [[ -d ${ED}/etc/udev/rules.d ]] ; then
- f=
- for x in $(ls "${ED}/etc/udev/rules.d") ; do
- f+=" etc/udev/rules.d/$x\n"
- done
- if [[ -n $f ]] ; then
- eqawarn "QA Notice: udev rules should be installed in /lib/udev/rules.d:"
- eqawarn
- eqawarn "$f"
- fi
+ set +f
+ f=
+ for x in "${ED}etc/udev/rules.d/"* "${ED}lib"*"/udev/rules.d/"* ; do
+ [[ -e ${x} ]] || continue
+ [[ ${x} == ${ED}lib/udev/rules.d/* ]] && continue
+ f+=" ${x#${ED}}\n"
+ done
+ if [[ -n $f ]] ; then
+ eqawarn "QA Notice: udev rules should be installed in /lib/udev/rules.d:"
+ eqawarn
+ eqawarn "$f"
fi
# Now we look for all world writable files.